Agora RTC Objective-C API Reference Refactor

Data Fields
Hdr10MetadataInfo Struct Reference

## Data Fields
uint16_t | redPrimaryX
uint16_t | redPrimaryY
uint16_t | greenPrimaryX
uint16_t | greenPrimaryY
uint16_t | bluePrimaryX
uint16_t | bluePrimaryY
uint16_t | whitePointX
uint16_t | whitePointY
unsigned int | maxMasteringLuminance
unsigned int | minMasteringLuminance
uint16_t | maxContentLightLevel
uint16_t | maxFrameAverageLightLevel

## Detailed Description

The definition of the Hdr10MetadataInfo struct.

## Constructor & Destructor Documentation

## ◆ Hdr10MetadataInfo()

Hdr10MetadataInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ validate()

bool validate | ( |  | ) | const
| inline

## Field Documentation

## ◆ redPrimaryX

uint16_t redPrimaryX

The x coordinates of the red value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ redPrimaryY

uint16_t redPrimaryY

The y coordinates of the red value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ greenPrimaryX

uint16_t greenPrimaryX

The x coordinates of the green value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ greenPrimaryY

uint16_t greenPrimaryY

The y coordinates of the green value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ bluePrimaryX

uint16_t bluePrimaryX

The x coordinates of the blue value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ bluePrimaryY

uint16_t bluePrimaryY

The y coordinates of the blue value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ whitePointX

uint16_t whitePointX

The x coordinates of the white point in the CIE1931 color space.The values need to normalized to 50,000.

## ◆ whitePointY

uint16_t whitePointY

The y coordinates of the white point in the CIE1931 color space.The values need to normalized to 50,000.

## ◆ maxMasteringLuminance

unsigned int maxMasteringLuminance

The maximum number of nits of the display used to master the content. The values need to normalized to 10,000.

## ◆ minMasteringLuminance

unsigned int minMasteringLuminance

The minimum number of nits of the display used to master the content. The values need to normalized to 10,000.

## ◆ maxContentLightLevel

uint16_t maxContentLightLevel

The maximum content light level (MaxCLL). This is the nit value corresponding to the brightest pixel used anywhere in the content.

## ◆ maxFrameAverageLightLevel

uint16_t maxFrameAverageLightLevel

The maximum frame average light level (MaxFALL). This is the nit value corresponding to the average luminance of the frame which has the brightest average luminance anywhere in the content.